RefreshAuthorizationPolicyProtocolServerSideTranslatorPB (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security.protocolPB, class: RefreshAuthorizationPolicyProtocolServerSideTranslatorPB

Package org.apache.hadoop.security.protocolPB

# Class RefreshAuthorizationPolicyProtocolServerSideTranslatorPB

java.lang.Object
org.apache.hadoop.security.protocolPB.RefreshAuthorizationPolicyProtocolServerSideTranslatorPB

All Implemented Interfaces:
  `org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.BlockingInterface`, `RefreshAuthorizationPolicyProtocolPB`

public class RefreshAuthorizationPolicyProtocolServerSideTranslatorPB extends Object implements RefreshAuthorizationPolicyProtocolPB

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RefreshAuthorizationPolicyProtocolServerSideTranslatorPB(RefreshAuthorizationPolicyProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclResponseProto`
  `refreshServiceAcl(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclRequestProto request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RefreshAuthorizationPolicyProtocolServerSideTranslatorPB

    public RefreshAuthorizationPolicyProtocolServerSideTranslatorPB(RefreshAuthorizationPolicyProtocol impl)

- ## Method Details

  - ### refreshServiceAcl

    public org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclResponseProto refreshServiceAcl(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `refreshServiceAcl` in interface `org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`